Activity log for bug #962954

Date Who What changed Old value New value Message
2012-03-23 10:14:10 YannUbuntu bug added bug
2012-09-14 07:23:45 YannUbuntu bug task added boot-repair
2012-09-14 07:24:00 YannUbuntu boot-repair: status New Triaged
2012-09-14 07:24:13 YannUbuntu boot-repair: importance Undecided Medium
2012-09-14 09:19:55 YannUbuntu summary [Wishlist] Add a "--timeout=seconds" option Pastebinit blocks some applications
2012-09-14 09:20:11 YannUbuntu boot-repair: importance Medium High
2012-09-14 09:24:41 YannUbuntu description I wish Pastebinit had a "timeout" option (equivalent to the -T option of wget). Extract of the "wget manpage" that we could adapt to pastebinit: ______________________ -T seconds --timeout=seconds Set the network timeout to seconds seconds. (...) When interacting with the network, Wget can check for timeout and abort the operation if it takes too long. This prevents anomalies like hanging reads and infinite connects. The only timeout enabled by default is a 900-second read timeout. Setting a timeout to 0 disables it altogether. ______________________ On some systems (especially those with bad internet connexion), Pastebinit hangs indefinitely and blocks some applications (eg it blocks Boot-Repair). Possible solutions: 1) Pastebinit should abort and return an error when it could not get any URL after X seconds (eg 20s). 2) OR Pastebinit should propose a "timeout" option (equivalent to the -T option of wget). Extract of the "wget manpage" that we could adapt to pastebinit: ______________________  -T seconds        --timeout=seconds            Set the network timeout to seconds seconds. (...)            When interacting with the network, Wget can check for timeout and            abort the operation if it takes too long. This prevents anomalies            like hanging reads and infinite connects. The only timeout enabled            by default is a 900-second read timeout. Setting a timeout to 0            disables it altogether. ______________________
2012-09-14 13:58:46 Stéphane Graber pastebinit: status New Triaged
2012-09-14 13:58:49 Stéphane Graber pastebinit: importance Undecided Wishlist
2012-09-15 06:45:48 Rolf Leggewie summary Pastebinit blocks some applications [Wishlist] time out on bad network connections
2012-10-09 11:15:56 YannUbuntu boot-repair: importance High Medium
2012-12-20 22:22:12 YannUbuntu bug task deleted boot-repair
2014-01-06 22:40:33 Stéphane Graber pastebinit: status Triaged Fix Committed
2014-01-06 22:40:35 Stéphane Graber pastebinit: assignee Stéphane Graber (stgraber)
2014-01-17 00:40:09 Stéphane Graber pastebinit: status Fix Committed Fix Released